Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1807120 - perl-5.26.3-416.el8 FTBFS: ../cpan/Time-Local/t/Local.t test fails in year 2020
Summary: perl-5.26.3-416.el8 FTBFS: ../cpan/Time-Local/t/Local.t test fails in year 2020
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: perl
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: perl-maint-list
QA Contact: RHEL CS Apps Subsystem QE
URL:
Whiteboard:
: 1904820 (view as bug list)
Depends On:
Blocks: 1839273 1839276 1839279 1946629 1946630
TreeView+ depends on / blocked
 
Reported: 2020-02-25 16:17 UTC by Petr Pisar
Modified: 2021-05-18 15:06 UTC (History)
4 users (show)

Fixed In Version: perl-5.26.3-417.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1807445 1930185 1933589 1946629 1946630 (view as bug list)
Environment:
Last Closed: 2021-05-18 15:06:02 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 124787 0 None None None 2020-02-25 16:17:08 UTC
Github perl perl5 issues 17410 0 None open Bundled Time::Local fails tests in 5.28 and below 2021-02-18 13:27:05 UTC

Description Petr Pisar 2020-02-25 16:17:09 UTC
Rebuilding perl-5.26.3-416.el8 from sources fails because a ../cpan/Time-Local/t/Local.t test fails like this:

../cpan/Time-Local/t/Local.t ....................................... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/187 subtests 
        (less 8 skipped subtests: 177 okay)
[...]
Test Summary Report
-------------------
../cpan/Time-Local/t/Local.t                                     (Wstat: 512 Tests: 187 Failed: 2)
  Failed tests:  6, 12
  Non-zero exit status: 2

That's a bug in the test that manifests since the beginning of 2020 year and fix exist in later upstream versions. I ported the fix to perl-5.28.2 in Fedora <https://src.fedoraproject.org/rpms/perl/raw/f30/f/perl-5.28.2-Only-pass-2-digit-years-to-tests-when-testing-2-digi.patch> and it should be possible port it to 5.26.3 in RHEL.

Comment 1 Petr Pisar 2020-02-26 11:02:31 UTC
The patch applies cleanly to 5.26.3.

Comment 8 Jitka Plesnikova 2020-12-07 06:57:34 UTC
*** Bug 1904820 has been marked as a duplicate of this bug. ***

Comment 13 errata-xmlrpc 2021-05-18 15:06:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: perl security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1678


Note You need to log in before you can comment on or make changes to this bug.